package com.bonus.canteen.core.marketing.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/** @deprecated */
@Deprecated
@ApiModel("分页获取生效范围")
public class MktEffectivePageVO implements Serializable {
   @ApiModelProperty("范围id")
   private Long effId;
   @ApiModelProperty("范围名称")
   private String effName;
   @ApiModelProperty("生效范围类型(1-人员类,2-食堂类,3-商品类,4-仓库类)")
   private Integer effType;
   @ApiModelProperty("人员取交并集(1-交集,2-并集)")
   private Integer userType;
   @ApiModelProperty("所属组织id集合")
   private List<Long> orgIdList;
   @ApiModelProperty("会员等级集合")
   private List<Long> gradeIdList;
   @ApiModelProperty("人员类别集合")
   private List<Integer> psnTypeList;
   @ApiModelProperty("食堂集合")
   private List<MktEffectiveCanteenPageVO> canteenList;
   @ApiModelProperty("菜品id集合")
   private List<Long> dishesIdList;
   @ApiModelProperty("套餐id集合")
   private List<Long> packageId;
   @ApiModelProperty("商品id集合")
   private List<Long> productIdList;
   @ApiModelProperty("仓库Id集合")
   private List<Long> warehouseId;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getEffId() {
      return this.effId;
   }

   public String getEffName() {
      return this.effName;
   }

   public Integer getEffType() {
      return this.effType;
   }

   public Integer getUserType() {
      return this.userType;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public List<Long> getGradeIdList() {
      return this.gradeIdList;
   }

   public List<Integer> getPsnTypeList() {
      return this.psnTypeList;
   }

   public List<MktEffectiveCanteenPageVO> getCanteenList() {
      return this.canteenList;
   }

   public List<Long> getDishesIdList() {
      return this.dishesIdList;
   }

   public List<Long> getPackageId() {
      return this.packageId;
   }

   public List<Long> getProductIdList() {
      return this.productIdList;
   }

   public List<Long> getWarehouseId() {
      return this.warehouseId;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setEffId(final Long effId) {
      this.effId = effId;
   }

   public void setEffName(final String effName) {
      this.effName = effName;
   }

   public void setEffType(final Integer effType) {
      this.effType = effType;
   }

   public void setUserType(final Integer userType) {
      this.userType = userType;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

   public void setGradeIdList(final List<Long> gradeIdList) {
      this.gradeIdList = gradeIdList;
   }

   public void setPsnTypeList(final List<Integer> psnTypeList) {
      this.psnTypeList = psnTypeList;
   }

   public void setCanteenList(final List<MktEffectiveCanteenPageVO> canteenList) {
      this.canteenList = canteenList;
   }

   public void setDishesIdList(final List<Long> dishesIdList) {
      this.dishesIdList = dishesIdList;
   }

   public void setPackageId(final List<Long> packageId) {
      this.packageId = packageId;
   }

   public void setProductIdList(final List<Long> productIdList) {
      this.productIdList = productIdList;
   }

   public void setWarehouseId(final List<Long> warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
